## Class TOracleTableInfo

Description

TDbTableInfo class describes the meta data of a database table.

- since: 3.1
- version: $Id: TOracleTableInfo.php 2206 2007-09-04 18:14:03Z xue $
- author: Wei Zhuo <weizho[at]gmail[dot]com>

Located in /Data/Common/Oracle/TOracleTableInfo.php (line 22)

    TComponent
       |
       --TOracleTableInfo

Method Summary
TOracleTableInfo __construct ([array $tableInfo = array()], [mixed $primary = array()], [mixed $foreign = array()])
TDbCommandBuilder createCommandBuilder (TDbConnection $connection)
TDbTableColumn getColumn (string $name)
array getColumnNames (array 0)
TMap getColumns ()
array getForeignKeys ()
mixed getInfo (string $name, [mixed $default = null])
boolean getIsView ()
array getLowerCaseColumnNames ()
string[] getPrimaryKeys ()
string getTableFullName ()
string getTableName ()
void setInfo (string $name, mixed $value)
Methods
Constructor __construct (line 37)

Sets the database table meta data information.

- access: public

TOracleTableInfo __construct ([array $tableInfo = array()], [mixed $primary = array()], [mixed $foreign = array()])

- array $tableInfo: table column information.

createCommandBuilder (line 49)

- return: new command builder
- access: public

TDbCommandBuilder createCommandBuilder (TDbConnection $connection)

- TDbConnection $connection: database connection.

getColumn (line 110)

- return: column information.
- access: public

TDbTableColumn getColumn (string $name)

- string $name: column id

getColumnNames (line 121)

- return: table column names (identifier quoted)
- access: public

array getColumnNames (array 0)

- array 0: list of column Id, empty to get all columns.

getColumns (line 101)

- return: TDbTableColumn column meta data.
- access: public

TMap getColumns ()
getForeignKeys (line 139)

- return: tuples of foreign table and column name.
- access: public

array getForeignKeys ()
getInfo (line 60)

- return: information array value.
- access: public

mixed getInfo (string $name, [mixed $default = null])

- string $name: information array key name
- mixed $default: default value if information array value is null

getIsView (line 93)

- return: whether the table is a view, default is false.
- access: public

boolean getIsView ()
getLowerCaseColumnNames (line 147)

- return: lowercased column key names mapped to normal column ids.
- access: public

array getLowerCaseColumnNames ()
getPrimaryKeys (line 131)

- return: names of primary key columns.
- access: public

string[] getPrimaryKeys ()
getTableFullName (line 85)

- return: full name of the table, database dependent.
- access: public

string getTableFullName ()
getTableName (line 77)

- return: name of the table this column belongs to.
- access: public

string getTableName ()
setInfo (line 69)

- access: protected

void setInfo (string $name, mixed $value)

- string $name: information array key name
- mixed $value: new information array value.

#### Inherited Methods

Inherited From TComponent

> TComponent::addParsedObject()
> TComponent::attachEventHandler()
> TComponent::canGetProperty()
> TComponent::canSetProperty()
> TComponent::createdOnTemplate()
> TComponent::detachEventHandler()
> TComponent::evaluateExpression()
> TComponent::evaluateStatements()
> TComponent::getEventHandlers()
> TComponent::getSubProperty()
> TComponent::hasEvent()
> TComponent::hasEventHandler()
> TComponent::hasProperty()
> TComponent::raiseEvent()
> TComponent::setSubProperty()
> TComponent::__get()
> TComponent::__set()

Documentation generated on Mon, 21 Apr 2008 11:35:43 -0400 by phpDocumentor 1.3.0RC4